/* Copyright (c) 2006-2010 LittleSoft Corporation
 * 
 * LittleSoft J-Programming
 * 当プログラムの使用許諾については以下を参照してください。
 * http://www.littlesoft.jp/lsj/license.html
 */
package jp.littlesoft;

/**
 * アクションメソッドに関する例外クラス<br/>
 * 
 * @author LittleSoft Corporation
 * @version 1.3.0
 */
@SuppressWarnings("serial")
public class LSApplicationException extends LSException {

  /**
   * コンストラクタ<br/>
   *
   * @param  cause  原因となったThrowableオブジェクト
   */  
  public LSApplicationException(Throwable cause) {
    super(cause);
  }

  /**
   * コンストラクタ<br/>
   *
   * @param cause  原因となったThrowableオブジェクト
   * @param msgResClassName メッセージリソースのクラス名
   * @param msgResFieldName メッセージリソースのフィールド名
   * @param msgArgs メッセージ中に表示する置換文字列の配列
   */
  public LSApplicationException(Throwable cause, String msgResClassName, String msgResFieldName, Object[] msgArgs) {
    super(cause, msgResClassName, msgResFieldName, msgArgs);
  }

}
