/* Copyright (c) 2006-2010 LittleSoft Corporation
 * 
 * LittleSoft J-Programming
 * 当プログラムの使用許諾については以下を参照してください。
 * http://www.littlesoft.jp/lsj/license.html
 */
package jp.littlesoft.sql;

import jp.littlesoft.data.DataProvider;
import jp.littlesoft.data.exception.DataException;

public interface ISQLDataProvider extends DataProvider {
  
  public void setConnection(java.sql.Connection conn)  throws DataException;
  
  public java.sql.Connection getConnection();
  
  public void close()  throws DataException;
  
  public String getSQL();
  
  public void setSQL(String SQL) throws DataException;
  
  public String getPageSQL();
  
  public void setPageSQL(String sql, int i, int showRows) throws DataException;
  
  public void setMaxRows(int newMaxRows);
  
}
